EUARE-USERMOD(1)

NAME
euare-usermod - Change the name and/or path of a user

SYNOPSIS
euare-usermod [-n USER] [-p PATH] [--enabled {true,false}]

[--pwd-expires YYYY-MM-DDThh:mm:ssZ]
    [--reg-status {REGISTERED,APPROVED,CONFIRMED}] [--as-account ACCOUNT] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] USER

DESCRIPTION
Change the name and/or path of a user

  positional arguments:

USER
    name of the user to update

  optional arguments:

-n USER, --new-user-name USER
    new name for the user

-p PATH, --new-path PATH
    new path for the user

--enabled {true,false}
    [Eucalyptus only] 'true' to enable the user, or 'false' to disable the user

--pwd-expires YYYY-MM-DDThh:mm:ssZ
    [Eucalyptus only] New password expiration date, in ISO8601 format

--reg-status {REGISTERED,APPROVED,CONFIRMED}
    [Eucalyptus < 4.2 only] new registration status. Only CONFIRMED users may access the system.

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit